# -*- coding: utf-8 -*-

from django.contrib import admin

from coupon.models import CouponInfo, UserCouponInfo


class CouponInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'brand_name', 'coupon_id', 'coupon_title', 'coupon_value', 'coupon_expire_type', 'coupon_valid_period', 'coupon_expire_at', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'coupon_expire_type', 'status')


class UserCouponInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'brand_name', 'coupon_id', 'user_id', 'coupon_title', 'coupon_value', 'active_at', 'expire_at', 'coupon_valid_period', 'coupon_limit_brand_ids', 'has_used', 'admin_id', 'used_at', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'has_used', 'status')


admin.site.register(CouponInfo, CouponInfoAdmin)
admin.site.register(UserCouponInfo, UserCouponInfoAdmin)
