# -*- coding: utf-8 -*-
# Generated by Django 1.11.26 on 2019-12-01 13:10
from __future__ import unicode_literals

from django.db import migrations, models
import shortuuidfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('member', '0005_memberactivityinfo_city'),
    ]

    operations = [
        migrations.CreateModel(
            name='GoodsOrderInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('order_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u8ba2\u5355\u552f\u4e00\u6807\u8bc6', max_length=22, null=True, unique=True)),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='user_id')),
                ('good_id', models.CharField(blank=True, db_index=True, help_text='\u5546\u54c1\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='good_id')),
                ('good_type', models.IntegerField(choices=[(0, '\u5b9e\u7269'), (1, '\u865a\u62df')], db_index=True, default=1, help_text='\u5546\u54c1\u7c7b\u578b', verbose_name='good_type')),
                ('title', models.CharField(blank=True, help_text='\u5546\u54c1\u540d\u79f0', max_length=255, null=True, verbose_name='title')),
                ('name', models.CharField(blank=True, help_text='\u59d3\u540d', max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, help_text='\u7535\u8bdd', max_length=255, null=True, verbose_name='phone')),
                ('address', models.CharField(blank=True, help_text='\u5730\u5740', max_length=255, null=True, verbose_name='address')),
                ('tracking_number', models.CharField(blank=True, help_text='\u5feb\u9012\u5355\u53f7', max_length=255, null=True, verbose_name='tracking_number')),
                ('has_send_template_message', models.BooleanField(db_index=True, default=True, help_text='\u662f\u5426\u5df2\u53d1\u9001\u6a21\u7248\u6d88\u606f', verbose_name='has_send_template_message')),
            ],
            options={
                'verbose_name': '\u4f1a\u5458\u5546\u54c1\u8ba2\u5355\u4fe1\u606f',
                'verbose_name_plural': '\u4f1a\u5458\u5546\u54c1\u8ba2\u5355\u4fe1\u606f',
            },
        ),
        migrations.CreateModel(
            name='MemberActivitySigninInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('signin_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u6d3b\u52a8\u7b7e\u5230\u552f\u4e00\u6807\u8bc6', max_length=22, null=True, unique=True)),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='user_id')),
                ('activity_id', models.CharField(blank=True, db_index=True, help_text='\u6d3b\u52a8\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='activity_id')),
                ('title', models.CharField(blank=True, help_text='\u6d3b\u52a8\u540d\u79f0', max_length=255, null=True, verbose_name='title')),
            ],
            options={
                'verbose_name': '\u4f1a\u5458\u6d3b\u52a8\u7b7e\u5230\u4fe1\u606f',
                'verbose_name_plural': '\u4f1a\u5458\u6d3b\u52a8\u7b7e\u5230\u4fe1\u606f',
            },
        ),
        migrations.CreateModel(
            name='MemberActivitySignupInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('signup_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u6d3b\u52a8\u62a5\u540d\u552f\u4e00\u6807\u8bc6', max_length=22, null=True, unique=True)),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='user_id')),
                ('activity_id', models.CharField(blank=True, db_index=True, help_text='\u6d3b\u52a8\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='activity_id')),
                ('title', models.CharField(blank=True, help_text='\u6d3b\u52a8\u540d\u79f0', max_length=255, null=True, verbose_name='title')),
                ('name', models.CharField(blank=True, help_text='\u59d3\u540d', max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, help_text='\u7535\u8bdd', max_length=255, null=True, verbose_name='phone')),
            ],
            options={
                'verbose_name': '\u4f1a\u5458\u6d3b\u52a8\u62a5\u540d\u4fe1\u606f',
                'verbose_name_plural': '\u4f1a\u5458\u6d3b\u52a8\u62a5\u540d\u4fe1\u606f',
            },
        ),
        migrations.CreateModel(
            name='MemberCouponInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('coupon_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u5238\u552f\u4e00\u6807\u8bc6', max_length=22, null=True, unique=True)),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='user_id')),
                ('coupon_type', models.IntegerField(choices=[(0, '\u6df1\u5ea6\u6e05\u6d01'), (1, '\u514d\u8d39\u8c03\u7126'), (2, '\u5916\u89c2\u6e05\u6d01'), (3, '\u610f\u5916\u7ef4\u4fee'), (4, '\u7ef4\u4fee\u4eba\u5de5')], db_index=True, default=0, help_text='\u5238\u7c7b\u578b', verbose_name='coupon_type')),
                ('coupon_start_at', models.DateTimeField(blank=True, help_text='\u5238\u751f\u6548\u65f6\u95f4', null=True, verbose_name='coupon_start_at')),
                ('coupon_expire_at', models.DateTimeField(blank=True, help_text='\u5238\u8fc7\u671f\u65f6\u95f4', null=True, verbose_name='coupon_expire_at')),
                ('coupon_value', models.IntegerField(default=0, help_text='\u5238\u91d1\u989d\uff08\u5355\u4f4d\uff1a\u5206\uff09', verbose_name='coupon_value')),
                ('has_used', models.BooleanField(db_index=True, default=False, help_text='\u662f\u5426\u5df2\u6838\u9500', verbose_name='has_used')),
                ('admin_id', models.CharField(blank=True, db_index=True, help_text='\u6838\u9500\u5458\u552f\u4e00\u6807\u8bc6', max_length=32, null=True, verbose_name='admin_id')),
                ('used_at', models.DateTimeField(blank=True, help_text='\u7ef4\u4fee\u5238\u6838\u9500\u65f6\u95f4', null=True, verbose_name='used_at')),
            ],
            options={
                'verbose_name': '\u4f1a\u5458\u6d3b\u52a8\u7b7e\u5230\u4fe1\u606f',
                'verbose_name_plural': '\u4f1a\u5458\u6d3b\u52a8\u7b7e\u5230\u4fe1\u606f',
            },
        ),
        migrations.AddField(
            model_name='memberactivityinfo',
            name='activity_id',
            field=shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='\u6d3b\u52a8\u552f\u4e00\u6807\u8bc6', max_length=22, null=True, unique=True),
        ),
        migrations.AlterUniqueTogether(
            name='memberactivitysignupinfo',
            unique_together=set([('user_id', 'activity_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='memberactivitysignininfo',
            unique_together=set([('user_id', 'activity_id')]),
        ),
    ]
